Overview | Package | Class | Use | Tree | Deprecated | Index | Help
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

## org.apache.openjpa.jdbc.schema
Interface DriverDataSource

All Superinterfaces:
  CommonDataSource, DataSource, Wrapper

All Known Implementing Classes:
  AutoDriverDataSource, DBCPDriverDataSource, SimpleDriverDataSource

    public interface DriverDataSource

extends DataSource

A DataSource that allows additional configuration options to be set into it, so that it can wrap a JDBC driver or other DataSource.

Author:
  Marc Prud'hommeaux

Method Summary
`List<ConnectionDecorator>` | `createConnectionDecorators()` Provide any built-in decorators; may be null.
`ClassLoader` | `getClassLoader()` Classloader for loading driver class, etc.
`String` | `getConnectionDriverName()` Driver class name.
`Properties` | `getConnectionFactoryProperties()` Configuration of datasource properties.
`Properties` | `getConnectionProperties()` Configuration of connection.
`String` | `getConnectionURL()` JDBC URL.
`String` | `getConnectionUserName()` JDBC user name.
`void` | `initDBDictionary(DBDictionary dict)` Initialize self and dictionary once available.
`void` | `setClassLoader(ClassLoader classLoader)` JDBC password.
`void` | `setConnectionDriverName(String connectionDriverName)` Driver class name.
`void` | `setConnectionFactoryProperties(Properties props)` Configuration of datasource properties.
`void` | `setConnectionPassword(String connectionPassword)` JDBC password.
`void` | `setConnectionProperties(Properties props)` Configuration of connection.
`void` | `setConnectionURL(String connectionURL)` JDBC URL.
`void` | `setConnectionUserName(String connectionUserName)` JDBC user name.

Methods inherited from interface javax.sql.DataSource
`getConnection, getConnection`

Methods inherited from interface javax.sql.CommonDataSource
`getLoginTimeout, getLogWriter, setLoginTimeout, setLogWriter`

Methods inherited from interface java.sql.Wrapper
`isWrapperFor, unwrap`

Method Detail

### setConnectionURL

    void setConnectionURL(String connectionURL)

  JDBC URL.

### getConnectionURL

    String getConnectionURL()

  JDBC URL.

### setConnectionDriverName

    void setConnectionDriverName(String connectionDriverName)

  Driver class name.

### getConnectionDriverName

    String getConnectionDriverName()

  Driver class name.

### setConnectionUserName

    void setConnectionUserName(String connectionUserName)

  JDBC user name.

### getConnectionUserName

    String getConnectionUserName()

  JDBC user name.

### setConnectionPassword

    void setConnectionPassword(String connectionPassword)

  JDBC password.

### setClassLoader

    void setClassLoader(ClassLoader classLoader)

  JDBC password.

### getClassLoader

    ClassLoader getClassLoader()

  Classloader for loading driver class, etc.

### setConnectionFactoryProperties

    void setConnectionFactoryProperties(Properties props)

  Configuration of datasource properties.

### getConnectionFactoryProperties

    Properties getConnectionFactoryProperties()

  Configuration of datasource properties.

### setConnectionProperties

    void setConnectionProperties(Properties props)

  Configuration of connection.

### getConnectionProperties

    Properties getConnectionProperties()

  Configuration of connection.

### createConnectionDecorators

    List<ConnectionDecorator> createConnectionDecorators()

  Provide any built-in decorators; may be null.

### initDBDictionary

    void initDBDictionary(DBDictionary dict)

  Initialize self and dictionary once available.

Overview | Package | Class | Use | Tree | Deprecated | Index | Help
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

Copyright © 2006-2013 Apache Software Foundation. All Rights Reserved.